Bug 825008 - Review Request: gnome-shell-search-fedora-packages - Search the fedora-packages webapp from the gnome-shell
Review Request: gnome-shell-search-fedora-packages - Search the fedora-packag...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 15:52 EDT by Ralph Bean
Modified: 2012-06-09 21:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-09 21:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-05-24 15:52:44 EDT
Spec URL: http://threebean.org/rpm/gnome-shell-search-fedora-packages.spec
SRPM URL: http://threebean.org/rpm/gnome-shell-search-fedora-packages-0.1-1.fc17
Description: Search the fedora-packages webapp from the gnome-shell
Fedora Account System Username: raph


rpmlint:
--- ~/rpmbuild » rpmlint {SPECS,SRPMS}/gnome-shell-search-fedora-packages*
gnome-shell-search-fedora-packages.src: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
gnome-shell-search-fedora-packages.src: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
1 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Ralph Bean 2012-05-24 15:53:57 EDT
Sorry -- failed copy/paste on the SRPM url.

Spec URL: http://threebean.org/rpm/gnome-shell-search-fedora-packages.spec
SRPM URL: http://threebean.org/rpm/gnome-shell-search-fedora-packages-0.1-1.fc17.src.rpm
Comment 2 Ralph Bean 2012-05-24 16:39:22 EDT
Update to attempt to include support for F16.

Spec URL: http://threebean.org/rpm/gnome-shell-search-fedora-packages.spec
SRPM URL: http://threebean.org/rpm/gnome-shell-search-fedora-packages-0.1-2.fc17.src.rpm
Comment 3 Ralph Bean 2012-05-24 16:50:33 EDT
Update with a full-path _gnomesearchdir macro and no more mkdir -p in %%install.

Spec URL: http://threebean.org/rpm/gnome-shell-search-fedora-packages.spec
SRPM URL: http://threebean.org/rpm/gnome-shell-search-fedora-packages-0.1-3.fc17.src.rpm
Comment 4 Ralph Bean 2012-05-24 17:01:02 EDT
Removed buildrequires for gnome-shell and added that mkdir -p back in there just for good measure!

Spec URL: http://threebean.org/rpm/gnome-shell-search-fedora-packages.spec
SRPM URL: http://threebean.org/rpm/gnome-shell-search-fedora-packages-0.1-4.fc17.src.rpm
Comment 5 Ian Weller 2012-05-29 15:39:56 EDT
Review checklist, last updated 2012-02-07
Based on https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Key: [X] passed, [F] failed, [-] irrelevant

[X] MUST: rpmlint must be run on the source rpm and all binary rpms the build
    produces. The output should be posted in the review.

gnome-shell-search-fedora-packages.noarch: W: no-documentation

[X] MUST: The package must be named according to the Package Naming Guidelines.

Since there are no other search providers in Fedora yet, I will be filing a
ticket with FPC on getting search providers added to the guidelines.

[X] MUST: The spec file name must match the base package %{name}, in the format
    %{name}.spec unless your package has an exemption.
[X] MUST: The package must meet the Packaging Guidelines.
[X] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.
[X] MUST: The License field in the package spec file must match the actual
    license. 
[-] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.
[X] MUST: The spec file must be written in American English. 
[X] MUST: The spec file for the package MUST be legible. 
[X] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use md5sum for this task. If
    no upstream URL can be specified for this package, please see the Source
    URL Guidelines for how to deal with this.
[X] MUST: The package MUST successfully compile and build into binary rpms on
    at least one primary architecture. 
[-] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed
    in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number MUST be placed in a
    comment, next to the corresponding ExcludeArch line. 
[X] MUST: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.
[-] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[-] MUST: Every binary RPM package (or subpackage) which stores shared library
    files (not just symlinks) in any of the dynamic linker's default paths,
    must call ldconfig in %post and %postun. 
[-] MUST: Packages must NOT bundle copies of system libraries.
[-] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker. 
[X] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which
    does create that directory. 
[X] MUST: A Fedora package must not list a file more than once in the spec
    file's %files listings. (Notable exception: license texts in specific
    situations)
[X] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. 
[X] MUST: Each package must consistently use macros. 
[X] MUST: The package must contain code, or permissable content. 
[-] MUST: Large documentation files must go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity). 
[-] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present. 
[-] MUST: Static libraries must be in a -static package. 
[-] MUST: Development files must be in a -devel package. 
[-] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
       Requires: %{name}%{?_isa} = %{version}-%{release} 
[X] MUST: Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.
[-] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install in
    the %install section. If you feel that your packaged GUI application does
    not need a .desktop file, you must put a comment in the spec file with your
    explanation. 
[X] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share ownership
    with any of the files or directories owned by the filesystem or man
    package. If you feel that you have a good reason to own a file or directory
    that another package owns, then please present that at package review time. 
[X] MUST: All filenames in rpm packages must be valid UTF-8. 

APPROVED
Comment 6 Ralph Bean 2012-05-29 15:45:03 EDT
New Package SCM Request
=======================
Package Name: gnome-shell-search-fedora-packages
Short Description: Search the fedora-packages webapp from the gnome-shell
Owners: ralph
Branches: f16 f17
InitialCC:
Comment 7 Germán Racca 2012-05-29 18:13:52 EDT
You have put the source name in the URL field. Could you please provide a valid URL?

Thanks,
Germán.
Comment 8 Ralph Bean 2012-05-29 22:36:54 EDT
I'm afraid there is no URL for the package other than the source URL.  There is no associated project page.  I am the upstream for this.
Comment 9 Gwyn Ciesla 2012-05-30 07:55:20 EDT
Git done (by process-git-requests).
Comment 10 Germán Racca 2012-05-30 08:34:07 EDT
This doesn't mean that you, as upstream, don't need to have an URL for your project. Anyway, it is strange to use the source as the URL in the package, we should check the packaging guidelines. I don't like that, and the review says nothing about that! Who can clarify this for me? :(
Comment 11 Ian Weller 2012-05-30 13:04:02 EDT
As the reviewer, I don't think it's an issue.
Comment 12 Germán Racca 2012-05-30 14:00:36 EDT
URL: The full URL for more information about the program (e.g. the project website). Note: This is not where the original source code came from which is meant for the Source0 tag below.*

* https://fedoraproject.org/wiki/How_to_create_an_RPM_package

---

OK, I'm not against the package, I just want things clear and useful, but I was not able to convince you. Have a nice day :)

Germán.
Comment 13 Ralph Bean 2012-05-30 15:25:46 EDT
Thanks, Germán!
Comment 14 Fedora Update System 2012-05-30 16:11:21 EDT
gnome-shell-search-fedora-packages-0.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-shell-search-fedora-packages-0.1-4.fc17
Comment 15 Fedora Update System 2012-05-30 16:20:45 EDT
gnome-shell-search-fedora-packages-0.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-shell-search-fedora-packages-0.1-4.fc16
Comment 16 Fedora Update System 2012-06-01 12:50:10 EDT
gnome-shell-search-fedora-packages-0.1-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 17 Fedora Update System 2012-06-09 21:29:51 EDT
gnome-shell-search-fedora-packages-0.1-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Fedora Update System 2012-06-09 21:37:09 EDT
gnome-shell-search-fedora-packages-0.1-4.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.